services:
  haccp-generator:
    build: .
    restart: unless-stopped
    environment:
      DRIVE_ROOT_FOLDER_ID: "1Y8LQJdU_8kYqZ8lidDHkFx0rjDoYXJci"
      GOOGLE_APPLICATION_CREDENTIALS: /run/secrets/google_credentials
      TZ: Europe/Budapest
      PYTHONUNBUFFERED: "1"
    secrets:
      - google_credentials

secrets:
  google_credentials:
    file: ./promptinternalprojects-5261ab8e709f.json
